diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 491fad2..1afde80 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -18454,13 +18454,1143 @@ DrawOptionFunctions1(S:Type): Exports == Implementation where
 )spool d01AgentsPackage.output
 )set message test on
 )set message auto off
+ 
 )clear all
 
 --S 1 of 1
 )show d01AgentsPackage
+--R 
+--R d01AgentsPackage  is a package constructor
+--R Abbreviation for d01AgentsPackage is D01AGNT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for D01AGNT 
+--R
+--R------------------------------- Operations --------------------------------
+--R df2st : DoubleFloat -> String        
+--R changeName : (Symbol,Symbol,Result) -> Result
+--R commaSeparate : List(String) -> String
+--R functionIsContinuousAtEndPoints : Record(var: Symbol,fn: Expression(DoubleFloat),range: Segment(OrderedCompletion(DoubleFloat)),abserr: DoubleFloat,relerr: DoubleFloat) -> Union(continuous: Continuous at the end points,lowerSingular: There is a singularity at the lower end point,upperSingular: There is a singularity at the upper end point,bothSingular: There are singularities at both end points,notEvaluated: End point continuity not yet evaluated)
+--R functionIsOscillatory : Record(var: Symbol,fn: Expression(DoubleFloat),range: Segment(OrderedCompletion(DoubleFloat)),abserr: DoubleFloat,relerr: DoubleFloat) -> Float
+--R gethi : Segment(OrderedCompletion(DoubleFloat)) -> DoubleFloat
+--R getlo : Segment(OrderedCompletion(DoubleFloat)) -> DoubleFloat
+--R ldf2lst : List(DoubleFloat) -> List(String)
+--R problemPoints : (Expression(DoubleFloat),Symbol,Segment(OrderedCompletion(DoubleFloat))) -> List(DoubleFloat)
+--R rangeIsFinite : Record(var: Symbol,fn: Expression(DoubleFloat),range: Segment(OrderedCompletion(DoubleFloat)),abserr: DoubleFloat,relerr: DoubleFloat) -> Union(finite: The range is finite,lowerInfinite: The bottom of range is infinite,upperInfinite: The top of range is infinite,bothInfinite: Both top and bottom points are infinite,notEvaluated: Range not yet evaluated)
+--R sdf2lst : Stream(DoubleFloat) -> List(String)
+--R singularitiesOf : Record(var: Symbol,fn: Expression(DoubleFloat),range: Segment(OrderedCompletion(DoubleFloat)),abserr: DoubleFloat,relerr: DoubleFloat) -> Stream(DoubleFloat)
+--R
 --E 1
 
-)spool
+)clear all
+
+--S 2
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 2
+
+--S 3
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 3
+
+--S 4
+e:EXPR FLOAT:=(X*sin(30*X)/(sqrt(1-(X/(2*%pi))^2)))
+--R 
+--R
+--R                     X sin(30.0 X)
+--R   (3)  ---------------------------------------
+--R         +------------------------------------+
+--R         |                             2
+--R        \|- 0.0253302959 1058444286 1 X  + 1.0
+--R                                                      Type: Expression(Float)
+--E 4
+
+--S 5
+f:ASP1(F):=retract e
+--R 
+--R
+--R   (4)  F
+--R                                                                Type: Asp1(F)
+--E 5
+
+--S 6
+a:SF:=0.0
+--R 
+--R
+--R   (5)  0.
+--R                                                            Type: DoubleFloat
+--E 6
+
+--S 7
+b:SF:=%pi*2
+--R 
+--R
+--R   (6)  6.2831853071795862
+--R                                                            Type: DoubleFloat
+--E 7
+
+--S 8
+epsabs:SF:=0.0
+--R 
+--R
+--R   (7)  0.
+--R                                                            Type: DoubleFloat
+--E 8
+
+--S 9
+epsrel:SF:=1.0e-4
+--R 
+--R
+--R   (8)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 9
+
+--S 10
+liw:=200
+--R 
+--R
+--R   (9)  200
+--R                                                        Type: PositiveInteger
+--E 10
+
+--S 11
+lw:=4*liw
+--R 
+--R
+--R   (10)  800
+--R                                                        Type: PositiveInteger
+--E 11
+
+--S 12
+-- result:=d01ajf(a,b,epsabs,epsrel,lw,liw,-1,f)
+--E 12
+
+)clear all
+
+--S 13
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 13
+
+--S 14
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 14
+
+--S 15
+e:EXPR FLOAT:=X*sin(30*X)*cos(X)
+--R 
+--R
+--R   (3)  X cos(X)sin(30.0 X)
+--R                                                      Type: Expression(Float)
+--E 15
+
+--S 16
+f:ASP1(F):=retract e
+--R 
+--R
+--R   (4)  F
+--R                                                                Type: Asp1(F)
+--E 16
+
+--S 17
+a:SF:=0.0
+--R 
+--R
+--R   (5)  0.
+--R                                                            Type: DoubleFloat
+--E 17
+
+--S 18
+b:SF:=%pi*2
+--R 
+--R
+--R   (6)  6.2831853071795862
+--R                                                            Type: DoubleFloat
+--E 18
+
+--S 19
+epsabs:SF:=0.0
+--R 
+--R
+--R   (7)  0.
+--R                                                            Type: DoubleFloat
+--E 19
+
+--S 20
+epsrel:SF:=1.0e-4
+--R 
+--R
+--R   (8)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 20
+
+--S 21
+liw:=200
+--R 
+--R
+--R   (9)  200
+--R                                                        Type: PositiveInteger
+--E 21
+
+--S 22
+lw:=4*liw
+--R 
+--R
+--R   (10)  800
+--R                                                        Type: PositiveInteger
+--E 22
+
+--S 23
+-- result:=d01akf(a,b,epsabs,epsrel,lw,liw,-1,f)
+--E 23
+
+)clear all
+
+--S 24
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 24
+
+--S 25
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 25
+
+--S 26
+e:EXPR FLOAT:=1/sqrt(abs(X-1/7))
+--R 
+--R
+--R                        1.0
+--R   (3)  -----------------------------------
+--R         +--------------------------------+
+--R        \|abs(X - 0.1428571428 5714285714)
+--R                                                      Type: Expression(Float)
+--E 26
+
+--S 27
+f:ASP1(F):= retract e
+--R 
+--R
+--R   (4)  F
+--R                                                                Type: Asp1(F)
+--E 27
+
+--S 28
+a:SF:=0.0
+--R 
+--R
+--R   (5)  0.
+--R                                                            Type: DoubleFloat
+--E 28
+
+--S 29
+b:SF:=1.0
+--R 
+--R
+--R   (6)  1.
+--R                                                            Type: DoubleFloat
+--E 29
+
+--S 30
+points:Matrix SF:=[[1/7]]
+--R 
+--R
+--R   (7)  [0.14285714285714285]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 30
+
+--S 31
+npts:=ncols points
+--R 
+--R
+--R   (8)  1
+--R                                                        Type: PositiveInteger
+--E 31
+
+--S 32
+epsabs:SF:=0.0
+--R 
+--R
+--R   (9)  0.
+--R                                                            Type: DoubleFloat
+--E 32
+
+--S 33
+epsrel:SF:=1.0e-4
+--R 
+--R
+--R   (10)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 33
+
+--S 34
+liw:=max(npts+4,400)
+--R 
+--R
+--R   (11)  400
+--R                                                        Type: PositiveInteger
+--E 34
+
+--S 35
+lw:=max(2*npts+8,2*liw)
+--R 
+--R
+--R   (12)  800
+--R                                                        Type: PositiveInteger
+--E 35
+
+--S 36
+-- result:=d01alf(a,b,npts,points,epsabs,epsrel,lw,liw,-1,f)
+--E 36
+
+)clear all
+ 
+--S 37
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 37
+
+--S 38
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 38
+
+--S 39
+e:EXPR FLOAT:=1/((X+1)*sqrt(X))
+--R 
+--R
+--R             1.0
+--R   (3)  -------------
+--R                  +-+
+--R        (X + 1.0)\|X
+--R                                                      Type: Expression(Float)
+--E 39
+
+--S 40
+f:ASP1(F):=retract e
+--R 
+--R
+--R   (4)  F
+--R                                                                Type: Asp1(F)
+--E 40
+
+--S 41
+a:SF:=0.0
+--R 
+--R
+--R   (5)  0.
+--R                                                            Type: DoubleFloat
+--E 41
+
+--S 42
+epsabs:SF:=0.0
+--R 
+--R
+--R   (6)  0.
+--R                                                            Type: DoubleFloat
+--E 42
+
+--S 43
+epsrel:SF:=1.0e-4
+--R 
+--R
+--R   (7)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 43
+
+--S 44
+liw:=200
+--R 
+--R
+--R   (8)  200
+--R                                                        Type: PositiveInteger
+--E 44
+
+--S 45
+lw:=4*liw
+--R 
+--R
+--R   (9)  800
+--R                                                        Type: PositiveInteger
+--E 45
+
+--S 46
+-- result:=d01amf(a,1,epsabs,epsrel,lw,liw,-1,f)
+--E 46
+
+)clear all
+
+--S 47
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 47
+
+--S 48
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 48
+
+--S 49
+e:EXPR FLOAT:=log(X)
+--R 
+--R
+--R   (3)  log(X)
+--R                                                      Type: Expression(Float)
+--E 49
+
+--S 50
+f:ASP1(G):=retract e
+--R 
+--R
+--R   (4)  G
+--R                                                                Type: Asp1(G)
+--E 50
+
+--S 51
+a:SF:=1.0e-6
+--R 
+--R
+--R   (5)  9.9999999999999995E-7
+--R                                                            Type: DoubleFloat
+--E 51
+
+--S 52
+b:SF:=1.0
+--R 
+--R
+--R   (6)  1.
+--R                                                            Type: DoubleFloat
+--E 52
+
+--S 53
+epsabs:SF:=0.0
+--R 
+--R
+--R   (7)  0.
+--R                                                            Type: DoubleFloat
+--E 53
+
+--S 54
+epsrel:SF:=1.0e-4
+--R 
+--R
+--R   (8)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 54
+
+--S 55
+omega:SF:=10*%pi
+--R 
+--R
+--R   (9)  31.415926535897931
+--R                                                            Type: DoubleFloat
+--E 55
+
+--S 56
+liw:=max(400,2)
+--R 
+--R
+--R   (10)  400
+--R                                                        Type: PositiveInteger
+--E 56
+
+--S 57
+lw:=max(2*liw,4)
+--R 
+--R
+--R   (11)  800
+--R                                                        Type: PositiveInteger
+--E 57
+
+--S 58
+-- result:=d01anf(a,b,omega,2,epsabs,epsrel,lw,liw,-1,f)
+--E 58
+
+)clear all
+
+--S 59
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 59
+
+--S 60
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 60
+
+--S 61
+e:Expression Float:=sin(10*X)
+--R 
+--R
+--R   (3)  sin(10.0 X)
+--R                                                      Type: Expression(Float)
+--E 61
+
+--S 62
+f:ASP1(G):=retract e
+--R 
+--R
+--R   (4)  G
+--R                                                                Type: Asp1(G)
+--E 62
+
+--S 63
+a:SF:=1.0e-6
+--R 
+--R
+--R   (5)  9.9999999999999995E-7
+--R                                                            Type: DoubleFloat
+--E 63
+
+--S 64
+b:SF:=1.0
+--R 
+--R
+--R   (6)  1.
+--R                                                            Type: DoubleFloat
+--E 64
+
+--S 65
+alpha:SF:=-0.5
+--R 
+--R
+--R   (7)  - 0.5
+--R                                                            Type: DoubleFloat
+--E 65
+
+--S 66
+beta:SF:=-0.5
+--R 
+--R
+--R   (8)  - 0.5
+--R                                                            Type: DoubleFloat
+--E 66
+
+--S 67
+epsabs:SF:=0.0
+--R 
+--R
+--R   (9)  0.
+--R                                                            Type: DoubleFloat
+--E 67
+
+--S 68
+epsrel:SF:=1.0e-4
+--R 
+--R
+--R   (10)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 68
+
+--S 69
+key:=1
+--R 
+--R
+--R   (11)  1
+--R                                                        Type: PositiveInteger
+--E 69
+
+--S 70
+liw:=200
+--R 
+--R
+--R   (12)  200
+--R                                                        Type: PositiveInteger
+--E 70
+
+--S 71
+lw:=4*liw
+--R 
+--R
+--R   (13)  800
+--R                                                        Type: PositiveInteger
+--E 71
+
+--S 72
+-- result:=d01apf(a,b,alpha,beta,key,epsabs,epsrel,lw,liw,-1,f)
+--E 72
+
+)clear all
+
+--S 73
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 73
+
+--S 74
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 74
+
+--S 75
+e:Expression Float:=(X^2+0.01^2)^-1
+--R 
+--R
+--R            1.0
+--R   (3)  -----------
+--R         2
+--R        X  + 0.0001
+--R                                                      Type: Expression(Float)
+--E 75
+
+--S 76
+f:ASP1(G):=retract e
+--R 
+--R
+--R   (4)  G
+--R                                                                Type: Asp1(G)
+--E 76
+
+--S 77
+a:SF:=-1.0
+--R 
+--R
+--R   (5)  - 1.
+--R                                                            Type: DoubleFloat
+--E 77
+
+--S 78
+b:SF:=1.0
+--R 
+--R
+--R   (6)  1.
+--R                                                            Type: DoubleFloat
+--E 78
+
+--S 79
+c:SF:=0.5
+--R 
+--R
+--R   (7)  0.5
+--R                                                            Type: DoubleFloat
+--E 79
+
+--S 80
+epsabs:SF:=0.0
+--R 
+--R
+--R   (8)  0.
+--R                                                            Type: DoubleFloat
+--E 80
+
+--S 81
+epsrel:SF:=1.0e-4
+--R 
+--R
+--R   (9)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 81
+
+--S 82
+liw:=200
+--R 
+--R
+--R   (10)  200
+--R                                                        Type: PositiveInteger
+--E 82
+
+--S 83
+lw:=4*200
+--R 
+--R
+--R   (11)  800
+--R                                                        Type: PositiveInteger
+--E 83
+
+--S 84
+-- result:=d01aqf(a,b,c,epsabs,epsrel,lw,liw,-1,f)
+--E 84
+
+)clear all
+
+--S 85
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 85
+
+--S 86
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 86
+
+--S 87
+e:Expression Float:=1/sqrt(X)
+--R 
+--R
+--R         1.0
+--R   (3)  ----
+--R         +-+
+--R        \|X
+--R                                                      Type: Expression(Float)
+--E 87
+
+--S 88
+f:ASP1(G):=retract e
+--R 
+--R
+--R   (4)  G
+--R                                                                Type: Asp1(G)
+--E 88
+
+--S 89
+a:SF:=1.0e-12
+--R 
+--R
+--R   (5)  9.9999999999999998E-13
+--R                                                            Type: DoubleFloat
+--E 89
+
+--S 90
+omega:SF:=%pi/2
+--R 
+--R
+--R   (6)  1.5707963267948966
+--R                                                            Type: DoubleFloat
+--E 90
+
+--S 91
+key:=1
+--R 
+--R
+--R   (7)  1
+--R                                                        Type: PositiveInteger
+--E 91
+
+--S 92
+epsabs:SF:=1.0e-3
+--R 
+--R
+--R   (8)  1.0E-3
+--R                                                            Type: DoubleFloat
+--E 92
+
+--S 93
+limlst:=50
+--R 
+--R
+--R   (9)  50
+--R                                                        Type: PositiveInteger
+--E 93
+
+--S 94
+liw:=400
+--R 
+--R
+--R   (10)  400
+--R                                                        Type: PositiveInteger
+--E 94
+
+--S 95
+lw:=2*liw
+--R 
+--R
+--R   (11)  800
+--R                                                        Type: PositiveInteger
+--E 95
+
+--S 96
+-- result:=d01asf(a,omega,key,epsabs,limlst,lw,liw,-1,f)
+--E 96
+
+)clear all
+
+--S 97
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 97
+
+--S 98
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 98
+
+--S 99
+a:SF:=0.0
+--R 
+--R
+--R   (3)  0.
+--R                                                            Type: DoubleFloat
+--E 99
+
+--S 100
+b:SF:=1.0
+--R 
+--R
+--R   (4)  1.
+--R                                                            Type: DoubleFloat
+--E 100
+
+--S 101
+itype:=1
+--R 
+--R
+--R   (5)  1
+--R                                                        Type: PositiveInteger
+--E 101
+
+--S 102
+n:=6
+--R 
+--R
+--R   (6)  6
+--R                                                        Type: PositiveInteger
+--E 102
+
+--S 103
+kind:=0
+--R 
+--R
+--R   (7)  0
+--R                                                     Type: NonNegativeInteger
+--E 103
+
+--S 104
+-- result:=d01bbf(a,b,itype,n,kind,-1)
+--E 104
+
+)clear all
+
+--S 105
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 105
+
+--S 106
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 106
+
+--S 107
+e:= (4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])^2))::EXPR FLOAT
+--R 
+--R
+--R                               2.0 X X
+--R                            2       1 3
+--R                    4.0 X X  %e
+--R                         1 3
+--R   (3)  -------------------------------------------
+--R          2                        2
+--R        X   + (2.0 X  + 2.0)X  + X   + 2.0 X  + 1.0
+--R         4          2        4    2         2
+--R                                                      Type: Expression(Float)
+--E 107
+
+--S 108
+f:ASP4(FUNCTN):=retract e
+--R 
+--R
+--R   (4)  FUNCTN
+--R                                                           Type: Asp4(FUNCTN)
+--E 108
+
+--S 109
+ndim:=4
+--R 
+--R
+--R   (5)  4
+--R                                                        Type: PositiveInteger
+--E 109
+
+--S 110
+a:Matrix SF:=[[0.0,0.0,0.0,0.0]]
+--R 
+--R
+--R   (6)  [0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 110
+
+--S 111
+b:Matrix SF:=[[1.0,1.0,1.0,1.0]]
+--R 
+--R
+--R   (7)  [1.  1.  1.  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 111
+
+--S 112
+alpha:=2^ndim+2*ndim^2+2*ndim+1
+--R 
+--R
+--R   (8)  57
+--R                                                        Type: PositiveInteger
+--E 112
+
+--S 113
+minpts:=1000
+--R 
+--R
+--R   (9)  1000
+--R                                                        Type: PositiveInteger
+--E 113
+
+--S 114
+maxpts:=5700
+--R 
+--R
+--R   (10)  5700
+--R                                                        Type: PositiveInteger
+--E 114
+
+--S 115
+eps:=0.0001
+--R 
+--R
+--R   (11)  0.0001
+--R                                                                  Type: Float
+--E 115
+
+--S 116
+lenwrk:=606
+--R 
+--R
+--R   (12)  606
+--R                                                        Type: PositiveInteger
+--E 116
+
+--S 117
+-- result:=d01fcf(ndim,a,b,maxpts,eps,lenwrk,minpts,-1,f)
+--E 117
+
+)clear all
+
+--S 118
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 118
+
+--S 119
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 119
+
+--S 120
+n:=21
+--R 
+--R
+--R   (3)  21
+--R                                                        Type: PositiveInteger
+--E 120
+
+--S 121
+x:Matrix SF:=
+ [[0.00 ,0.04 ,0.08 ,0.12 ,0.22 ,0.26 ,0.30 ,_
+   0.38 ,0.39 ,0.42 ,0.45 ,0.46 ,0.60 ,0.68 ,_
+   0.72 ,0.73 ,0.83 ,0.85 ,0.88 ,0.90 ,1.00 ]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [0., 3.9999999999999994E-2, 7.9999999999999988E-2, 0.12,
+--R      0.21999999999999997, 0.26000000000000001, 0.29999999999999999, 0.38,
+--R      0.39000000000000001, 0.41999999999999998, 0.44999999999999996,
+--R      0.45999999999999996, 0.59999999999999998, 0.67999999999999994,
+--R      0.71999999999999997, 0.72999999999999998, 0.82999999999999996,
+--R      0.84999999999999998, 0.87999999999999989, 0.89999999999999991, 1.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 121
+
+--S 122
+y:Matrix SF:=
+ [[4.0000 ,3.9936 ,3.9746 ,3.9432 ,3.8153 ,3.7467 ,3.6697 ,_
+   3.4943 ,3.4719 ,3.4002 ,3.3264 ,3.3014 ,2.9412 ,2.7352 ,_
+   2.6344 ,2.6094 ,2.3684 ,2.3222 ,2.2543 ,2.2099 ,2.0000 ]]
+--R 
+--R
+--R   (5)
+--R   [
+--R     [4., 3.9935999999999998, 3.9745999999999997, 3.9432, 3.8152999999999997,
+--R      3.7466999999999997, 3.6696999999999997, 3.4943, 3.4718999999999998,
+--R      3.4001999999999999, 3.3263999999999996, 3.3014000000000001,
+--R      2.9411999999999998, 2.7351999999999999, 2.6343999999999999,
+--R      2.6093999999999999, 2.3683999999999998, 2.3221999999999996,
+--R      2.2542999999999997, 2.2099000000000002, 2.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 122
+
+--S 123
+-- result:=d01gaf(x,y,n,-1)
+--E 123
+
+)clear all
+
+--S 124
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 124
+
+--S 125
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 125
+
+--S 126
+ndim:=4
+--R 
+--R
+--R   (3)  4
+--R                                                        Type: PositiveInteger
+--E 126
+
+--S 127
+e:=(4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])^2))
+--R 
+--R
+--R                               2.0 X X
+--R                            2       1 3
+--R                    4.0 X X  %e
+--R                         1 3
+--R   (4)  -------------------------------------------
+--R          2                        2
+--R        X   + (2.0 X  + 2.0)X  + X   + 2.0 X  + 1.0
+--R         4          2        4    2         2
+--R                                                      Type: Expression(Float)
+--E 127
+
+--S 128
+f:ASP4(FUNCTN):=retract e
+--R 
+--R
+--R   (5)  FUNCTN
+--R                                                           Type: Asp4(FUNCTN)
+--E 128
+
+--S 129
+a:Matrix SF:=[[0.0,0.0,0.0,0.0]]
+--R 
+--R
+--R   (6)  [0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 129
+
+--S 130
+b:Matrix SF:=[[1.0,1.0,1.0,1.0]]
+--R 
+--R
+--R   (7)  [1.  1.  1.  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 130
+
+--S 131
+maxcls:=20000
+--R 
+--R
+--R   (8)  20000
+--R                                                        Type: PositiveInteger
+--E 131
+
+--S 132
+eps:=0.01
+--R 
+--R
+--R   (9)  0.01
+--R                                                                  Type: Float
+--E 132
+
+--S 133
+lenwrk:=500
+--R 
+--R
+--R   (10)  500
+--R                                                        Type: PositiveInteger
+--E 133
+
+--S 134
+wrk:Matrix SF:=new(1,lenwrk,0.0);
+--R 
+--R
+--R                                                    Type: Matrix(DoubleFloat)
+--E 134
+
+--S 135
+mincls:=1000
+--R 
+--R
+--R   (12)  1000
+--R                                                        Type: PositiveInteger
+--E 135
+
+--S 136
+-- result:=d01gbf(ndim,a,b,maxcls,eps,lenwrk,mincls,wrk,-1,f)
+--E 136
+
+)spool
+ 
+
 )lisp (bye)
 \end{chunk}
 \begin{chunk}{d01AgentsPackage.help}
diff --git a/changelog b/changelog
index 7cfee4d..c0db2a4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,17 @@
+20141206 tpd src/axiom-website/patches.html 20141206.04.tpd.patch
+20141206 tpd books/bookvol10.4 D01AGNT absorb src/input test case files
+21041206 tpd src/input/d01ajf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01akf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01alf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01amf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01anf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01apf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01aqf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01asf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01bbf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01fcf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01gaf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01gbf.input.pamphlet absorbed, removed
 20141206 tpd src/axiom-website/patches.html 20141206.03.tpd.patch
 20141206 tpd books/bookvol10.4 NAGC06 absorb src/input test case files
 20141206 tpd src/input/c06eaf.input absorbed, removed
diff --git a/patch b/patch
index 59fe065..5084047 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,2 @@
-books/bookvol10.4 NAGC06 absorb src/input test case files
+books/bookvol10.4 D01AGNT absorb src/input test case files
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 03936ae..4639b10 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4764,6 +4764,8 @@ books/bookvol10.4 NAGC02 absorb src/input test case files<br/>
 books/bookvol10.4 NAGC05 absorb src/input test case files<br/>
 <a href="patches/20141206.03.tpd.patch">20141206.03.tpd.patch</a>
 books/bookvol10.4 NAGC06 absorb src/input test case files<br/>
+<a href="patches/20141206.04.tpd.patch">20141206.04.tpd.patch</a>
+books/bookvol10.4 D01AGNT absorb src/input test case files<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index d7bb2eb..31ffdad 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -191,9 +191,6 @@ SKIP= as-eg1.output as-eg2.output    \
       cdraw.output     color.output     cone.output      \
       coordsys.output  \
       cycloid2.output  cycloid3.output  cycloid.output   \
-      d01ajf.output    d01akf.output    d01alf.output    d01amf.output    \
-      d01anf.output    d01apf.output    d01aqf.output    d01asf.output    \
-      d01bbf.output    d01fcf.output    d01gaf.output    d01gbf.output    \
       d02bbf.output    d02bhf.output    d02cjf.output    d02ejf.output    \
       d02gaf.output    d02gbf.output    d02kef.output    d02raf.output    \
       d03edf.output    d03eef.output    d03faf.output    damped.output    \
@@ -631,11 +628,7 @@ ASFILES=${OUT}/aseg6.as   ${OUT}/aseg7.as  ${OUT}/ecfact.as \
         ${OUT}/hilbert.as ${OUT}/matops.as ${OUT}/pdecomp0.as \
         ${OUT}/romnum.as
 
-NAGLIB=${OUT}/d01ajf.input   ${OUT}/d01akf.input     ${OUT}/d01alf.input \
-       ${OUT}/d01amf.input   ${OUT}/d01anf.input     ${OUT}/d01apf.input \
-       ${OUT}/d01aqf.input   ${OUT}/d01asf.input     ${OUT}/d01bbf.input \
-       ${OUT}/d01fcf.input   ${OUT}/d01gaf.input     ${OUT}/d01gbf.input \
-       ${OUT}/d02bbf.input   ${OUT}/d02bhf.input     ${OUT}/d02cjf.input \
+NAGLIB=${OUT}/d02bbf.input   ${OUT}/d02bhf.input     ${OUT}/d02cjf.input \
        ${OUT}/d02ejf.input   ${OUT}/d02gaf.input     ${OUT}/d02gbf.input \
        ${OUT}/d02kef.input   ${OUT}/d02raf.input     ${OUT}/d03edf.input \
        ${OUT}/d03eef.input   ${OUT}/d03faf.input     \
@@ -1038,13 +1031,8 @@ DOCFILES= \
   ${DOC}/cycles1.input.dvi    \
   ${DOC}/cycles.input.dvi      ${DOC}/cycloid2.input.dvi   \
   ${DOC}/cycloid3.input.dvi    ${DOC}/cycloid.input.dvi    \
-  ${DOC}/cyfactor.input.dvi    ${DOC}/d01ajf.input.dvi     \
-  ${DOC}/d01akf.input.dvi      ${DOC}/d01alf.input.dvi     \
-  ${DOC}/d01amf.input.dvi      ${DOC}/d01anf.input.dvi     \
-  ${DOC}/d01apf.input.dvi      ${DOC}/d01aqf.input.dvi     \
-  ${DOC}/d01asf.input.dvi      ${DOC}/d01bbf.input.dvi     \
-  ${DOC}/d01fcf.input.dvi      ${DOC}/d01gaf.input.dvi     \
-  ${DOC}/d01gbf.input.dvi      ${DOC}/d02bbf.input.dvi     \
+  ${DOC}/cyfactor.input.dvi    \
+  ${DOC}/d02bbf.input.dvi     \
   ${DOC}/d02bhf.input.dvi      ${DOC}/d02cjf.input.dvi     \
   ${DOC}/d02ejf.input.dvi      ${DOC}/d02gaf.input.dvi     \
   ${DOC}/d02gbf.input.dvi      ${DOC}/d02kef.input.dvi     \
diff --git a/src/input/d01ajf.input.pamphlet b/src/input/d01ajf.input.pamphlet
deleted file mode 100644
index e2befb7..0000000
--- a/src/input/d01ajf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01ajf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:EXPR FLOAT:=(X*sin(30*X)/(sqrt(1-(X/(2*%pi))^2)))
-f:ASP1(F):=retract e
-a:SF:=0.0
-b:SF:=%pi*2
-epsabs:SF:=0.0
-epsrel:SF:=1.0e-4
-liw:=200
-lw:=4*liw
-result:=d01ajf(a,b,epsabs,epsrel,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01akf.input.pamphlet b/src/input/d01akf.input.pamphlet
deleted file mode 100644
index 78be753..0000000
--- a/src/input/d01akf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01akf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:EXPR FLOAT:=X*sin(30*X)*cos(X)
-f:ASP1(F):=retract e
-a:SF:=0.0
-b:SF:=%pi*2
-epsabs:SF:=0.0
-epsrel:SF:=1.0e-4
-liw:=200
-lw:=4*liw
-result:=d01akf(a,b,epsabs,epsrel,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01alf.input.pamphlet b/src/input/d01alf.input.pamphlet
deleted file mode 100644
index a091192..0000000
--- a/src/input/d01alf.input.pamphlet
+++ /dev/null
@@ -1,39 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01alf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:EXPR FLOAT:=1/sqrt(abs(X-1/7))
-f:ASP1(F):= retract e
-a:SF:=0.0
-b:SF:=1.0
-points:Matrix SF:=[[1/7]]
-npts:=ncols points
-epsabs:SF:=0.0
-epsrel:SF:=1.0e-4
-liw:=max(npts+4,400)
-lw:=max(2*npts+8,2*liw)
-result:=d01alf(a,b,npts,points,epsabs,epsrel,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01amf.input.pamphlet b/src/input/d01amf.input.pamphlet
deleted file mode 100644
index c5ae8b1..0000000
--- a/src/input/d01amf.input.pamphlet
+++ /dev/null
@@ -1,36 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d001amf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:EXPR FLOAT:=1/((X+1)*sqrt(X))
-f:ASP1(F):=retract e
-a:SF:=0.0
-epsabs:SF:=0.0
-epsrel:SF:=1.0e-4
-liw:=200
-lw:=4*liw
-result:=d01amf(a,1,epsabs,epsrel,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01anf.input.pamphlet b/src/input/d01anf.input.pamphlet
deleted file mode 100644
index 54ce042..0000000
--- a/src/input/d01anf.input.pamphlet
+++ /dev/null
@@ -1,38 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01anf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:EXPR FLOAT:=log(X)
-f:ASP1(G):=retract e
-a:SF:=1.0e-6
-b:SF:=1.0
-epsabs:SF:=0.0
-epsrel:SF:=1.0e-4
-omega:SF:=10*%pi
-liw:=max(400,2)
-lw:=max(2*liw,4)
-result:=d01anf(a,b,omega,2,epsabs,epsrel,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01apf.input.pamphlet b/src/input/d01apf.input.pamphlet
deleted file mode 100644
index 9805245..0000000
--- a/src/input/d01apf.input.pamphlet
+++ /dev/null
@@ -1,40 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01apf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:Expression Float:=sin(10*X)
-f:ASP1(G):=retract e
-a:SF:=1.0e-6
-b:SF:=1.0
-alpha:SF:=-0.5
-beta:SF:=-0.5
-epsabs:SF:=0.0
-epsrel:SF:=1.0e-4
-key:=1
-liw:=200
-lw:=4*liw
-result:=d01apf(a,b,alpha,beta,key,epsabs,epsrel,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01aqf.input.pamphlet b/src/input/d01aqf.input.pamphlet
deleted file mode 100644
index 637b6da..0000000
--- a/src/input/d01aqf.input.pamphlet
+++ /dev/null
@@ -1,38 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d001aqf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:Expression Float:=(X^2+0.01^2)^-1
-f:ASP1(G):=retract e
-a:SF:=-1.0
-b:SF:=1.0
-c:SF:=0.5
-epsabs:SF:=0.0
-epsrel:SF:=1.0e-4
-liw:=200
-lw:=4*200
-result:=d01aqf(a,b,c,epsabs,epsrel,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01asf.input.pamphlet b/src/input/d01asf.input.pamphlet
deleted file mode 100644
index f77af0b..0000000
--- a/src/input/d01asf.input.pamphlet
+++ /dev/null
@@ -1,38 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01asf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:Expression Float:=1/sqrt(X)
-f:ASP1(G):=retract e
-a:SF:=1.0e-12
-omega:SF:=%pi/2
-key:=1
-epsabs:SF:=1.0e-3
-limlst:=50
-liw:=400
-lw:=2*liw
-result:=d01asf(a,omega,key,epsabs,limlst,lw,liw,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01bbf.input.pamphlet b/src/input/d01bbf.input.pamphlet
deleted file mode 100644
index 92f8872..0000000
--- a/src/input/d01bbf.input.pamphlet
+++ /dev/null
@@ -1,34 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01bbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-a:SF:=0.0
-b:SF:=1.0
-itype:=1
-n:=6
-kind:=0
-result:=d01bbf(a,b,itype,n,kind,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01fcf.input.pamphlet b/src/input/d01fcf.input.pamphlet
deleted file mode 100644
index 97d1e2e..0000000
--- a/src/input/d01fcf.input.pamphlet
+++ /dev/null
@@ -1,39 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01fcf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-e:= (4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])^2))::EXPR FLOAT
-f:ASP4(FUNCTN):=retract e
-ndim:=4
-a:Matrix SF:=[[0.0,0.0,0.0,0.0]]
-b:Matrix SF:=[[1.0,1.0,1.0,1.0]]
-alpha:=2^ndim+2*ndim^2+2*ndim+1
-minpts:=1000
-maxpts:=5700
-eps:=0.0001
-lenwrk:=606
-result:=d01fcf(ndim,a,b,maxpts,eps,lenwrk,minpts,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01gaf.input.pamphlet b/src/input/d01gaf.input.pamphlet
deleted file mode 100644
index 1722423..0000000
--- a/src/input/d01gaf.input.pamphlet
+++ /dev/null
@@ -1,38 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01gaf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=21
-x:Matrix SF:=
- [[0.00 ,0.04 ,0.08 ,0.12 ,0.22 ,0.26 ,0.30 ,_
-   0.38 ,0.39 ,0.42 ,0.45 ,0.46 ,0.60 ,0.68 ,_
-   0.72 ,0.73 ,0.83 ,0.85 ,0.88 ,0.90 ,1.00 ]]
-y:Matrix SF:=
- [[4.0000 ,3.9936 ,3.9746 ,3.9432 ,3.8153 ,3.7467 ,3.6697 ,_
-   3.4943 ,3.4719 ,3.4002 ,3.3264 ,3.3014 ,2.9412 ,2.7352 ,_
-   2.6344 ,2.6094 ,2.3684 ,2.3222 ,2.2543 ,2.2099 ,2.0000 ]]
-result:=d01gaf(x,y,n,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/d01gbf.input.pamphlet b/src/input/d01gbf.input.pamphlet
deleted file mode 100644
index 79a94ee..0000000
--- a/src/input/d01gbf.input.pamphlet
+++ /dev/null
@@ -1,39 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input d01gbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ndim:=4
-e:=(4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])^2))
-f:ASP4(FUNCTN):=retract e
-a:Matrix SF:=[[0.0,0.0,0.0,0.0]]
-b:Matrix SF:=[[1.0,1.0,1.0,1.0]]
-maxcls:=20000
-eps:=0.01
-lenwrk:=500
-wrk:Matrix SF:=new(1,lenwrk,0.0);
-mincls:=1000
-result:=d01gbf(ndim,a,b,maxcls,eps,lenwrk,mincls,wrk,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
